服务器

nginx ssl directive is deprecated, use the listen ... ssl

位置:首页 > 服务器 > 服务器搭建,2018-09-17 01:43
nginx 1.15,reload之后所有带 ssl 的站点都报这个警告了,查了很多资料,最后在 github 上面找到了一条相关的英文说明: ( https:

 nginx 1.15,reload之后所有带 ssl 的站点都报这个警告了,查了很多资料,最后在 github 上面找到了一条相关的英文说明: ( https://github.com/voxpupuli/puppet-nginx/issues/1224 ) 本人英文不好,大概意思应该是说 nginx 1.15 及以后的版本,不需要再写 ssl on; 了。

去 nginx.conf 删掉 ssl on; 之后,reload,果然没再报警,目前使用没啥问题。

TAGS:ssl directive is deprecated

猜你喜欢

NewHot